Bug 40404 - [softpipe] piglit glsl-max-varyings regression
[softpipe] piglit glsl-max-varyings regression
Status: RESOLVED FIXED
Product: Mesa
Classification: Unclassified
Component: Other
git
x86 (IA32) All
: medium normal
Assigned To: Brian Paul
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-26 11:50 UTC by Vinson Lee
Modified: 2012-12-19 18:22 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
glsl-max-varyings.png (7.91 KB, image/png)
2011-08-26 11:50 UTC, Vinson Lee
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vinson Lee 2011-08-26 11:50:42 UTC
Created attachment 50593 [details]
glsl-max-varyings.png

mesa: 3bcb9a858f482c21bc7c4d0fcd3571e25ea95090 (master)

piglit glsl-max-varyings now fails on softpipe.

It passes on these branches.
mesa: 6c1a9a327d031cd46680f28de8636b9335847650 (7.11)
mesa: 7c3cf50d9988d721e79277180e29aaf6afa40be5 (7.10)
mesa: 5078cb68586a52e2a2a991c6e89ed42e8bac7d96 (7.9)


$ ./bin/glsl-max-varyings -auto
Vertical axis: Increasing numbers of varyings.
Horizontal axis: Which of the varyings contains the color.
GL_MAX_VARYING_FLOATS = 60
Probe at (38,38)
  Expected: 0.000000 1.000000 0.000000
  Observed: 1.000000 0.000000 0.000000
  Failure with 4 vec4 varyings used in varying index 3
Probe at (14,74)
  Expected: 0.000000 1.000000 0.000000
  Observed: 1.000000 0.000000 0.000000
  Failure with 7 vec4 varyings used in varying index 1
Probe at (38,86)
  Expected: 0.000000 1.000000 0.000000
  Observed: 1.000000 0.000000 0.000000
  Failure with 8 vec4 varyings used in varying index 3
Probe at (50,98)
  Expected: 0.000000 1.000000 0.000000
  Observed: 1.000000 0.000000 0.000000
  Failure with 9 vec4 varyings used in varying index 4
Probe at (38,110)
  Expected: 0.000000 1.000000 0.000000
  Observed: 1.000000 0.000000 0.000000
  Failure with 10 vec4 varyings used in varying index 3
Probe at (26,122)
  Expected: 0.000000 1.000000 0.000000
  Observed: 1.000000 0.000000 0.000000
  Failure with 11 vec4 varyings used in varying index 2
Probe at (50,170)
  Expected: 0.000000 1.000000 0.000000
  Observed: 1.000000 0.000000 0.000000
  Failure with 15 vec4 varyings used in varying index 4
PIGLIT: {'result': 'fail' }
Comment 1 Vinson Lee 2011-08-26 12:36:40 UTC
c534f11164bbecf25eb2b1e697f9511eceb0c86f is the first bad commit
commit c534f11164bbecf25eb2b1e697f9511eceb0c86f
Author: Brian Paul <brianp@vmware.com>
Date:   Thu Jul 21 09:55:22 2011 -0600

    softpipe: implement fragment shader variants
    
    We'll need shader variants to accomodate the new polygon stipple utility.

:040000 040000 ac8d7fc48785d23f399eb4718b7f186a9db129d3 a7e8090d6546f99a0d0009bbc206caef61c13d40 M	src
bisect run success
Comment 2 Vinson Lee 2011-11-19 11:37:05 UTC
mesa: ec174a424489664626796126f937fbce3e7d8cd8 (master)

Retested. This regression is still present.
Comment 3 Brian Paul 2012-12-19 18:22:00 UTC
Fixed with commit fddcc67f5cb41f70d1d11827eb9190a5caec13c5